MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029025Open CASCADE[OCCT] OCCT:Configurationpublic2017-08-21 13:072017-09-29 16:29
Reporterssv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029025: TInspector include files are not installed to inc directory by CMake
DescriptionWe have found that TInspector headers are copied to directory "tools" instead of "inc". Is there any reason for such CMake behavior? This looks especially strange as TInspector libraries are copied to the standard destination (e.g. win64/vc12/lib, etc.). Can CMake be reconfigured to copy the header files to inc?

I set version 7.2.0 as the issue is quite important for our R&D project.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069808)
git (administrator)
2017-08-24 08:26

Branch CR29025 has been created by nds.

SHA-1: 28d42b12574553eab2b65919b0bebf603984ed0f


Detailed log of new commits:

Author: nds
Date: Thu Aug 24 08:25:47 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    TInspector headers are collected in 'inc/tools' directory.
(0069822)
git (administrator)
2017-08-24 12:28

Branch CR29025 has been updated by nds.

SHA-1: 8cec3fe923aeda8d7991b78c78f775d9ee922d19


Detailed log of new commits:

Author: nds
Date: Thu Aug 24 12:28:20 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    TInspector headers are collected in 'inc/inspector' directory.
    
    # At the same time this subdirectory should not be included into project's headers. So, we need to append 'inspector/' prefix in all files.

(0069828)
git (administrator)
2017-08-24 12:58

Branch CR29025 has been updated by nds.

SHA-1: f0239834c14a0b72668013cfe06d5ab1fdbfbee8


Detailed log of new commits:

Author: nds
Date: Thu Aug 24 12:58:53 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    TInspector headers are collected in 'inc/inspector' directory.
    
    # At the same time this subdirectory should not be included into project's headers. So, we need to append 'inspector/' prefix in all files.

Author: nds
Date: Thu Aug 24 12:48:10 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    TInspector headers are collected in 'inc/inspector' directory.
    
    # At the same time this subdirectory should not be included into project's headers. So, we need to append 'inspector/' prefix in all files.

Author: nds
Date: Thu Aug 24 08:25:47 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    TInspector headers are installed into 'inc/inspector' directory.
    
    # At the same time this subdirectory should not be included into project's headers. So, we need to append 'inspector/' prefix in all files.

Author: nds
Date: Wed Aug 23 16:24:35 2017 +0300

    0029042: DRAW - Extend 'tinspector' command with additional Arguments
    
    extending DRAW Commands;
    eliminating warnings;
    improve Export to ShapeView dialog;
    avoid crash with QML using;
    some minor GUI corrections

(0069829)
git (administrator)
2017-08-24 13:05

Branch CR29025_1 has been created by nds.

SHA-1: b2a71051b2e32be5c654138f3d223157d763f787


Detailed log of new commits:

Author: nds
Date: Thu Aug 24 08:25:47 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    TInspector headers are collected in 'inc/inspector' directory.
    
    # At the same time this subdirectory should not be included into project's headers. So, we need to append 'inspector/' prefix in all files.
(0069830)
git (administrator)
2017-08-24 13:11

Branch CR29025_1 has been updated by nds.

SHA-1: 4f1f370318269f0e28e4bdb7d1f2972be2a5ad15


Detailed log of new commits:

Author: nds
Date: Thu Aug 24 13:11:36 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    TInspector headers are collected in 'inc/inspector' directory.
    
    # At the same time this subdirectory should not be included into project's headers. So, we need to append 'inspector/' prefix in all files.

(0069832)
git (administrator)
2017-08-24 13:56

Branch CR29025_1 has been updated by nds.

SHA-1: 7491997ac363e455bb5526660b57ccb830425bdc


Detailed log of new commits:

Author: nds
Date: Thu Aug 24 13:56:08 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    # TInspector test cases are improved to use new arguments.

(0069833)
nds (developer)
2017-08-24 14:03

Dear Sergey,

TInspector headers are installed now into "inc/inspector".

Please correct include of TInspector headers by adding the "inspector" prefix in your code (#include <inspector/TInspector_Communicator.hxx>).

Sincerely yours, Natalia
(0069834)
ssv (developer)
2017-08-24 14:04

Thanks, I will try it.
(0069835)
nds (developer)
2017-08-24 14:06

Jenkins job is the next:
http://jenkins-test-10.nnov.opencascade.com/view/CR29025_1-master-NDS/view/ALL/ [^]

CR29025_1 branch contains modifications of CR29042 (It was rebased on it).
(0069840)
git (administrator)
2017-08-24 14:59

Branch CR29025 has been updated by nds.

SHA-1: 969078cb4cbe5875b7fbc7ede8845f61b7ec2d4c


Detailed log of new commits:

Author: nds
Date: Thu Aug 24 14:59:37 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    # cherry picked modifications from CR29025_1 branch

(0069845)
git (administrator)
2017-08-24 15:37

Branch CR29025_2 has been created by nds.

SHA-1: bc54caec0f95c7e593fde47e2da93a42569e5a40


No new revisions were added by this update.
(0069846)
git (administrator)
2017-08-24 16:19

Branch CR29025_3 has been created by nds.

SHA-1: bc54caec0f95c7e593fde47e2da93a42569e5a40


No new revisions were added by this update.
(0069850)
git (administrator)
2017-08-24 17:03

Branch CR29025_4 has been created by nds.

SHA-1: d37c44eb0a21c6de83d2b17ed9428386b38c0c74


Detailed log of new commits:

Author: nds
Date: Thu Aug 24 08:25:47 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    TInspector headers are installed in 'inc/inspector' directory.

Author: nds
Date: Wed Aug 23 16:24:35 2017 +0300

    0029042: DRAW - Extend 'tinspector' command with additional Arguments
    
    extending DRAW Commands;
    eliminating warnings;
    improve Export to ShapeView dialog;
    avoid crash with QML using;
    some minor GUI corrections
(0069852)
nds (developer)
2017-08-24 17:04

Dear Igor,
branch CR29025_4 has two commits in history:
CR29042 and the current.
(0069854)
nds (developer)
2017-08-24 17:34

Job for this branch is the next:
http://jenkins-test-10.nnov.opencascade.com/view/CR29025_4-master-NDS/ [^]
(0069866)
git (administrator)
2017-08-25 10:31

Branch CR29025_4 has been updated by nds.

SHA-1: d5fac9a2acb5551285954555a3febef42e367b98


Detailed log of new commits:

Author: unknown
Date: Fri Aug 25 10:11:20 2017 +0300

    0029025: TInspector include files are not installed to inc directory by CMake
    
    # elimination Linux warnings

(0069909)
git (administrator)
2017-08-25 16:13

Branch CR29025 has been deleted by kgv.

SHA-1: 969078cb4cbe5875b7fbc7ede8845f61b7ec2d4c
(0069910)
git (administrator)
2017-08-25 16:13

Branch CR29025_1 has been deleted by kgv.

SHA-1: 7491997ac363e455bb5526660b57ccb830425bdc
(0069911)
git (administrator)
2017-08-25 16:13

Branch CR29025_2 has been deleted by kgv.

SHA-1: bc54caec0f95c7e593fde47e2da93a42569e5a40
(0069912)
git (administrator)
2017-08-25 16:13

Branch CR29025_3 has been deleted by kgv.

SHA-1: bc54caec0f95c7e593fde47e2da93a42569e5a40
(0069913)
git (administrator)
2017-08-25 16:13

Branch CR29025_4 has been deleted by kgv.

SHA-1: d5fac9a2acb5551285954555a3febef42e367b98

- Related Changesets
occt: master 0cb512c0
Timestamp: 2017-08-24 05:25:47
Author: nds
Committer: bugmaster
Details ] Diff ]
0029025: TInspector include files are not installed to inc directory by CMake

TInspector headers are collected in 'inc/tools' directory.

Extending DRAW Commands;

Eliminating warnings;

Improve Export to ShapeView dialog;

Avoid crash with QML using;
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - samples/tools/TInspectorEXE/TInspectorEXE.cxx Diff ] File ]
mod - samples/tools/TInspectorEXE/TInspectorEXE_OpenFileDialog.cxx Diff ] File ]
mod - tests/tools/dfbrowser/A1 Diff ] File ]
mod - tests/tools/dfbrowser/A2 Diff ] File ]
mod - tools/DFBrowser/DFBrowser_AttributePaneStack.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_AttributePaneStack.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Communicator.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Communicator.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_DumpView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_HighlightDelegate.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Item.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Item.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemApplication.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemApplication.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemBase.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemBase.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemDocument.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemDocument.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Module.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Module.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_OpenApplication.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_PropertyPanel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_PropertyPanel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLine.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLine.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLineModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLineModel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchView.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Shortcut.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Thread.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ThreadItemSearch.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ThreadItemSearch.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ThreadItemUsedShapesMap.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ThreadItemUsedShapesMap.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Tools.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Tools.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLine.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLine.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLineDelegate.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLineModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLineModel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelView.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelViewModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeModel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePane.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePane.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneCreator.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneCreator.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneModel.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneSelector.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperExport.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperExport.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperGroupContent.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_ItemDelegateButton.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TableView.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdAsciiString.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdAsciiString.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdBooleanArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdBooleanArray.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdBooleanList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdBooleanList.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdByteArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdByteArray.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdComment.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdComment.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdCurrent.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdCurrent.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdDirectory.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdDirectory.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExpression.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExpression.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExtStringArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExtStringArray.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExtStringList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExtStringList.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdInteger.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdInteger.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntegerArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntegerArray.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntegerList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntegerList.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntPackedMap.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntPackedMap.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdName.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdName.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdNamedData.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdNamedData.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdNoteBook.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdNoteBook.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReal.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReal.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRealArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRealArray.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRealList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRealList.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReferenceArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReferenceArray.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReferenceList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReferenceList.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRelation.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRelation.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTick.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTick.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNode.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNode.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeItem.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeItem.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeModel.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeModel.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdUAttribute.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdUAttribute.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdVariable.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdVariable.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDFReference.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDFReference.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDFTagSource.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDFTagSource.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdModified.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdModified.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdOwner.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdOwner.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdXLink.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdXLink.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdXLinkRoot.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdXLinkRoot.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionFunction.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionFunction.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionGraphNode.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionGraphNode.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionScope.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionScope.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNaming.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNaming.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingUsedShapes.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingUsedShapes.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_Tools.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_Tools.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TPrsStdAISPresentation.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TPrsStdAISPresentation.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TPrsStdAISViewer.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TPrsStdAISViewer.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_AttributeCommonPane.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_AttributeCommonPane.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_AttributePaneCreator.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_AttributePaneCreator.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_Tools.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocArea.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocArea.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocCentroid.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocCentroid.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocColor.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocColor.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocColorTool.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocColorTool.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDatum.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDatum.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDimension.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDimension.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDimTol.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDimTol.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDimTolTool.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDimTolTool.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDocumentTool.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDocumentTool.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocGeomTolerance.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocGeomTolerance.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocGraphNode.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocGraphNode.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocLayerTool.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocLayerTool.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocLocation.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocLocation.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocMaterial.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocMaterial.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocMaterialTool.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocMaterialTool.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocShapeMapTool.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocShapeMapTool.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocShapeTool.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocShapeTool.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XDEDRAW.cxx Diff ] File ]
mod - tools/ShapeView/icons/folder_open.png Diff ] File ]
mod - tools/ShapeView/ShapeView_Communicator.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Communicator.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_ItemBase.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_ItemRoot.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_ItemRoot.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_ItemShape.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_ItemShape.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_OpenFileDialog.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_OpenFileViewModel.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Tools.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_TreeModel.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_TreeModel.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Window.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Window.hxx Diff ] File ]
mod - tools/TInspector/FILES Diff ] File ]
mod - tools/TInspector/TInspector_Communicator.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Communicator.hxx Diff ] File ]
add - tools/TInspector/TInspector_PluginParameters.cxx Diff ] File ]
add - tools/TInspector/TInspector_PluginParameters.hxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.hxx Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_Communicator.cxx Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_Communicator.hxx Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_PluginParameters.cxx Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_PluginParameters.hxx Diff ] File ]
mod - tools/ToolsDraw/ToolsDraw.cxx Diff ] File ]
mod - tools/TreeModel/FILES Diff ] File ]
mod - tools/TreeModel/TreeModel_ItemBase.cxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ItemBase.hxx Diff ] File ]
add - tools/TreeModel/TreeModel_MessageDialog.cxx Diff ] File ]
add - tools/TreeModel/TreeModel_MessageDialog.hxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ModelBase.cxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ModelBase.hxx Diff ] File ]
mod - tools/View/View_Displayer.cxx Diff ] File ]
mod - tools/View/View_Displayer.hxx Diff ] File ]
mod - tools/View/View_ToolBar.cxx Diff ] File ]
mod - tools/View/View_ToolBar.hxx Diff ] File ]
mod - tools/View/View_Viewer.cxx Diff ] File ]
mod - tools/View/View_Widget.cxx Diff ] File ]
mod - tools/View/View_Widget.hxx Diff ] File ]
mod - tools/View/View_Window.cxx Diff ] File ]
mod - tools/View/View_Window.hxx Diff ] File ]
mod - tools/VInspector/FILES Diff ] File ]
add - tools/VInspector/icons/treeview_update.png Diff ] File ]
add - tools/VInspector/VInspector.qrc Diff ] File ]
mod - tools/VInspector/VInspectorAPI_CallBack.cxx Diff ] File ]
mod - tools/VInspector/VInspector_CallBack.cxx Diff ] File ]
mod - tools/VInspector/VInspector_CallBack.hxx Diff ] File ]
mod - tools/VInspector/VInspector_Communicator.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Communicator.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemBase.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemBase.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemContext.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemContext.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemEntityOwner.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemEntityOwner.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemHistoryElement.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemHistoryElement.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemHistoryRoot.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemHistoryRoot.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemHistoryType.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemHistoryType.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemHistoryTypeInfo.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemPresentableObject.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemPresentableObject.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemSelection.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemSelection.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemSensitiveEntity.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemSensitiveEntity.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ToolBar.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ToolBar.hxx Diff ] File ]
mod - tools/VInspector/VInspector_Tools.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Tools.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModel.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModel.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModelHistory.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModelHistory.hxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-21 13:07 ssv New Issue
2017-08-21 13:07 ssv Assigned To => nds
2017-08-24 08:26 git Note Added: 0069808
2017-08-24 12:28 git Note Added: 0069822
2017-08-24 12:58 git Note Added: 0069828
2017-08-24 13:05 git Note Added: 0069829
2017-08-24 13:11 git Note Added: 0069830
2017-08-24 13:56 git Note Added: 0069832
2017-08-24 13:57 nds Status new => resolved
2017-08-24 14:03 nds Note Added: 0069833
2017-08-24 14:04 ssv Note Added: 0069834
2017-08-24 14:06 nds Note Added: 0069835
2017-08-24 14:06 nds Assigned To nds => bugmaster
2017-08-24 14:06 nds Status resolved => reviewed
2017-08-24 14:59 git Note Added: 0069840
2017-08-24 15:37 git Note Added: 0069845
2017-08-24 16:19 git Note Added: 0069846
2017-08-24 17:03 git Note Added: 0069850
2017-08-24 17:04 nds Note Added: 0069852
2017-08-24 17:34 nds Note Added: 0069854
2017-08-25 10:31 git Note Added: 0069866
2017-08-25 15:02 bugmaster Changeset attached => occt master 0cb512c0
2017-08-25 15:02 bugmaster Status reviewed => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 15:06 bugmaster Test case number => Not required
2017-08-25 16:13 git Note Added: 0069909
2017-08-25 16:13 git Note Added: 0069910
2017-08-25 16:13 git Note Added: 0069911
2017-08-25 16:13 git Note Added: 0069912
2017-08-25 16:13 git Note Added: 0069913
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker